> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves the blocked users

# List Blocked Users

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /users/{uid}/blockedusers
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /users/{uid}/blockedusers:
    get:
      tags:
        - Blocked Users
      summary: List Blocked Users
      description: Retrieves the blocked users
      operationId: list-blocked-users
      parameters:
        - name: uid
          in: path
          description: An UID of a user.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: UID
              value: cometchat-uid-1
        - name: perPage
          in: query
          description: Number of blocked users to return per page.
          schema:
            type: number
            default: 100
        - name: page
          in: query
          description: Page number for paginated results.
          schema:
            type: number
            default: 1
      responses:
        '200':
          description: Blocked user
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/userSchema'
                        - $ref: '#/components/schemas/blockedUserSchema'
                  meta:
                    type: object
                type: object
              example:
                data:
                  - uid: cometchat-uid-6
                    name: Barry Allen
                    link: https://cometchat.com
                    avatar: >-
                      https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp
                    metadata:
                      rawMetadata: '{''gender'':''Male''}'
                    status: offline
                    role: manager
                    blockedByMe: true
                    blockedByMeAt: 1638346853
                    blockedAt: 1638346853
                    createdAt: 1629869270
                    updatedAt: 1638351060
                    conversationId: cometchat-uid-3_user_cometchat-uid-4
                  - uid: cometchat-uid-2
                    name: George Alan
                    link: https://cometchat.com
                    avatar: >-
                      https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp
                    metadata:
                      rawMetadata: '{''gender'':''Male''}'
                    status: offline
                    role: manager
                    blockedByMe: true
                    blockedByMeAt: 1638346853
                    blockedAt: 1638346853
                    createdAt: 1629869270
                    updatedAt: 1638351060
                    conversationId: cometchat-uid-1_user_cometchat-uid-2
                meta:
                  pagination:
                    total: 0
                    count: 5
                    per_page: 100
                    current_page: 1
                    total_pages: 1
                  cursor:
                    updatedAt: 1638354799
                    affix: prepend
      security:
        - apiKey: []
components:
  schemas:
    userSchema:
      description: Response data
      properties:
        uid:
          type: string
        name:
          type: string
        avatar:
          type: string
        metadata:
          properties:
            email:
              type: string
          type: object
        status:
          type: string
        role:
          type: string
        createdAt:
          type: integer
      type: object
    blockedUserSchema:
      description: Response data
      properties:
        blockedByMe:
          type: boolean
        blockedByMeAt:
          type: integer
        blockedAt:
          type: integer
        updatedAt:
          type: integer
        conversationId:
          type: string
      type: object
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````